CREATE TABLE IF NOT EXISTS pull_request_commit (
    pull_request UUID NOT NULL REFERENCES pull_request(id),
    commit UUID NOT NULL,
    sha TEXT NOT NULL,
    created_at TIMESTAMPTZ NOT NULL DEFAULT now(),
    PRIMARY KEY (pull_request, commit)
);
